routes/web.php
<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/binary', 'BinaryController@index')->name('binary');

Route::get('/broker/{broker}', 'BrokerWebController@index')->name('web_broker');

Route::get('/contact', 'ContactController@index')->name('contact');

Route::get('/support', 'SupportController@index')->name('support');

Route::get('/features', 'FeaturesController@index')->name('features');

Route::get('/how-its-work', 'How_its_workController@index')->name('how-its-work');

Route::get('/terms-and-condition', 'Terms_conditionController@index')->name('terms');

Route::get('/privacy-policy', 'PrivacyController@index')->name('privacy');

Route::get('/mainpage', 'MainpageController@index')->name('mainpage');
Route::post('/withdraw-request/store', 'MainpageController@transactionStore')->name('transaction.store');
Route::post('/withdraw-request', 'MainpageController@withDrawRequestStatus')->name('withdraw_request_status');
Route::get('/', 'WelcomeController@index')->name('Homepage');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::middleware(['auth'])->group(function () {
    Route::get('/myaccount', ('AccountController@index'))->name('my_account');
    Route::post('/update-broker-id', ('AccountController@updateBrokerAccountId'))->name('update_broker_account');
    Route::get('/refered_user', ('ReferedUserController@index'))->name('refered_user');
    Route::get('/withdrawl', ('WithdrawlController@index'))->name('withdrawl');
    Route::get('/leaderboard', ('LeaderboardController@index'))->name('leaderboard');
    Route::post('/popup-status-update', ('AccountController@popUpStatusUpdate'))->name('popup_update_status');
});

Route::namespace("Admin")->prefix('admin')->group(function(){

    Route::resource('/broker', BrokerController::class);
    Route::resource('/payment', PaymentController::class);
    Route::get('/trade', 'Trade@index')->name('Trade.index');
    Route::get('/verify-booker-user', 'BrokerController@verifyBooker')->name('verify.user.booker');
    Route::get('/verify-booker-user-status/{user_account}', 'BrokerController@approvedBookerAccount')->name('verify.user.booker.update');
    Route::post('/trade', 'Trade@store')->name('Trade.store');
	Route::get('/', 'HomeController@index')->name('admin.home');
    Route::get('/users', 'UserController@index')->name('user.index');
    Route::get('/user/{user}/action-history', 'UserController@actionHistory')->name('user_action.history');
    Route::get('/user/{user}/export', 'UserController@actionHistoryExport')->name('user_action.history_export');
    Route::get('/user/{user}/withdraw/export', 'UserController@withdrawHistoryExport')->name('user_action.withdraw_export');
    Route::get('/user/{user}/status', 'UserController@status')->name('user.status');
    Route::get('/user/{user}/delete', 'UserController@delete')->name('user.delete');
    Route::get('/user/{user}/transactiondelete', 'UserController@transactiondelete')->name('user.transactiondelete');
    Route::get('/user/{user}/referal', 'UserController@referal')->name('user.referals');
    Route::get('/user/{user}/summary', 'UserController@summary')->name('user.summary');
	Route::get('/withdraw-request', 'HomeController@transaction')->name('transaction.index');
    Route::get('/setting', 'HomeController@Setting')->name('settings');
    Route::post('/setting/update', 'HomeController@settingUpdate')->name('settings.update');
    Route::get('/activity-logs', 'UserController@activityLogs')->name('activity-logs');
    Route::get('/user-summary-report', 'UserController@userSummaryReport')->name('user-report-account');
    Route::get('/user-site-summary-report', 'UserController@withUserSiteSummaryExport')->name('user-site-summary-report');
    Route::resource('/accounts', AccountController::class);
    Route::get('monthly-level-down', 'UserController@monthlyLevelDown')->name('monthly-level-down');

    Route::namespace('Auth')->group(function(){
        Route::get('/login', 'LoginController@showLoginForm')->name('admin.login');
        Route::post('/login', 'LoginController@login');
        Route::post('logout', 'LoginController@logout')->name('admin.logout');
    });
});

Route::get('referal/{account_id}/register', 'ReferedUserController@referredView')->name('user_referred');

Route::get('/email', function () {
    $data = [
        'name' => 'Shehryar',    
        'request_amount' => 125.50,    
        'date' => \Carbon\Carbon::now()->format('Y-m-d h:i a'),    
    ];
    Mail::send('email/withdrawl-request-email', ['data'=>$data ], function ($message) use ($data) {
        $message->to('shehryarhaider0316@gmail.com')
            ->from('info@fxcashbacks.com','FXCASHBACKS')
            ->subject("Welcome to FxCashbacks");
    });
    return "DOne";
});
Route::get('reset', function (){
    Artisan::call('route:clear');
    Artisan::call('view:clear');
    // Artisan::call('route:cache');
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    // Artisan::call('optimize'x);
    echo "cache Clear";
});

app/Broker.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Broker extends Model
{
    protected $fillable = ['name','description','image','web_link'];
}

app/Http/Controllers/Admin/BrokerController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Broker;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\UserBrokerAccount;

class BrokerController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth:admin');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $brokers = Broker::get();
        activityLog('View Broker');
        return view('admin.broker.index')->with('brokers',$brokers);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $data = [
            'isEdit'    =>  false,
        ];
        return view('admin.broker.create',$data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name'          =>  'required',
            'description'   =>  'required',
            'image'         =>  'required',
            'web_link'      =>  'required',
        ]);
        if ($request->image) {
            $data['image']  = Storage::disk('uploads')->putFile('',$request->image);
        }

        Broker::create($data);
        activityLog('Add Broker');
        return redirect()->route('broker.index')
                        ->with('success','Broker created successfully.');
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
    */
    public function edit(Broker $broker)
    {
        $data = [
            'isEdit'    =>  true,
            'broker'    =>  $broker,
        ];
        return view('admin.broker.create',$data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
    */
    public function update(Request $request, Broker $broker)
    {
        $data = $request->validate([
            'name' => 'required',
            'description' => 'required',
            'image' => 'nullable',
            'web_link' => 'required',
        ]);

        if($request->image){
            Storage::disk('uploads')->delete($broker->image);
            $data['image']  = Storage::disk('uploads')->putFile('',$request->image);
        }
        $broker->update($data);
        activityLog('Update Broker');
        return redirect()->route('broker.index')->with('success','Broker updated successfully');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(broker $broker)
    {
        Storage::disk('uploads')->delete($broker->image);
        $broker->delete();
        activityLog('Delete Broker');
        return redirect()->route('broker.index')
                        ->with('success','Product deleted successfully');
    }

    public function verifyBooker(){
        
        $unverify_users = UserBrokerAccount::with('user','broker')->get();
        $data = [
            'unverify_users' => $unverify_users
        ];
        return view('admin.broker.verify_user',$data);   
    }

    public function approvedBookerAccount(UserBrokerAccount $user_account){
        
        $status = $user_account->approved == 0 ? "1" : "0";
     
        $user_account->update(['approved' => $status]);
        activityLog('Approved User Account');
        return redirect()->back();
    }

}

resources/views/admin/broker/create.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
        <h1>Add Broker </h1>
        <nav>
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
                <li class="breadcrumb-item">Broker</li>
            </ol>
        </nav>
    </div><!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Add Broker</h5>

                        <!-- Multi Columns Form -->
                        <form class="row g-3" method="post" enctype="multipart/form-data"
                            action="{{$isEdit ?  route('broker.update',$broker->id) : route('broker.store') }}">
                            @csrf
                            @if ($isEdit)
                            @method('put')
                            @endif
                            <div class="col-md-12">
                                <label for="inputName1" class="form-label">Broker Title</label>
                                <input value="{{$isEdit ? $broker->name : old('name')}}" type="text"
                                    class="form-control" name="name" id="inputName1">
                                <span class="text-danger">{{$errors->first('name') ?? null}}</span>
                            </div>
                            <div class="col-md-12">
                                <label for="inputEmail2" class="form-label">Broker Description</label>
                                <input value="{{$isEdit ? $broker->description : old('description')}}" type="text"
                                    class="form-control" name="description" id="inputEmail2">
                                <span class="text-danger">{{$errors->first('description') ?? null}}</span>
                            </div>
                            <div class="col-md-12">
                                <label for="inputEmail2" class="form-label">Broker Website Link</label>
                                <input value="{{$isEdit ? $broker->web_link : old('web_link')}}" type="text"
                                    class="form-control" name="web_link" id="inputEmail2">
                                <span class="text-danger">{{$errors->first('web_link') ?? null}}</span>
                            </div>
                            <div class="col-md-12">
                                <label for="inputEmail3" class="form-label">Broker Image</label>
                                <input type="file" class="form-control" name="image" id="inputEmail3">
                                @if ($isEdit)
                                <img src="{{url('').'/uploads/'.$broker->image}}" height="100px">
                                @endif
                                <span class="text-danger">{{$errors->first('image') ?? null}}</span>
                            </div>
                            <div class="text-end">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </form><!-- End Multi Columns Form -->


                    </div>
                </div>
            </div>
    </section>

</main><!-- End #main -->
@endsection

resources/views/admin/broker/edit.blade.php
@extends('admin.layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2>Edit broker</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('broker.index') }}"> Back</a>
            </div>
        </div>
    </div>

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('broker.update',$broker->id) }}" method="POST">
        @csrf
        @method('PUT')

         <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Name:</strong>
                    <input type="text" name="name" value="{{ $broker->name }}" class="form-control" placeholder="Name">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="form-group">
                    <strong>Detail:</strong>
                    <textarea class="form-control" style="height:150px" name="detail" placeholder="Detail">{{ $broker->description }}</textarea>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div>
        </div>

    </form>
@endsection

resources/views/admin/broker/index.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
      <h1>View Brokers</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
          <li class="breadcrumb-item">Tables</li>
          <li class="breadcrumb-item active">Data</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section">
      <div class="row">
        <div class="col-lg-12">

          <div class="card">
            <div class="card-body">
              <h5 class="card-title">View Brokers</h5>

            <a href="{{route('broker.create')}}"> Add Broker</a>

              <!-- Table with stripped rows -->
              <table class="table datatable">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">images</th>
                    <th scope="col">Name</th>
                    <th scope="col">Description</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach($brokers as $broker)
                  <tr>
                    <td> {{ $broker->id}}</td>
                  <td><img src="{{ url('').'/uploads/'. $broker->image}}" width="50" height="50" class="rounded-circle" /></td>
                    <td>{{ $broker->name}}</td>
                    <td>{{ $broker->description}}</td>
                    <td>
                        <a href="{{route('broker.edit',$broker->id)}}" class="btn btn-primary">Edit</a>

                        <form action="{{ route('broker.destroy',$broker->id) }}" method="POST">

                            {{-- <a class="btn btn-info" href="{{ route('broker.show',$broker->id) }}">Show</a> --}}

                            {{-- <a class="btn btn-primary" href="{{ route('broker.edit',$broker->id) }}">Edit</a> --}}

                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </td>

                  </tr>
                  @endforeach
                </tbody>
              </table>
              <!-- End Table with stripped rows -->

            </div>
          </div>

        </div>
      </div>
    </section>

  </main><!-- End #main -->

@endsection

resources/views/admin/broker/show.blade.php
@extends('broker.layout')
  
@section('content')
    <div class="row">
        <div class="col-lg-12 margin-tb">
            <div class="pull-left">
                <h2> Show broker</h2>
            </div>
            <div class="pull-right">
                <a class="btn btn-primary" href="{{ route('broker.index') }}"> Back</a>
            </div>
        </div>
    </div>
   
    <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Name:</strong>
                {{ $broker->name }}
            </div>
        </div>
        <div class="col-xs-12 col-sm-12 col-md-12">
            <div class="form-group">
                <strong>Details:</strong>
                {{ $broker->detail }}
            </div>
        </div>
    </div>
@endsection

resources/views/admin/broker/verify_user.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
      <h1>View UnApproved Booker Accounts</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
          <li class="breadcrumb-item">Tables</li>
          <li class="breadcrumb-item active">Data</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section">
      <div class="row">
        <div class="col-lg-12">

          <div class="card">
            <div class="card-body">
              <h5 class="card-title">View UnApproved Booker Accounts</h5>

              <!-- Table with stripped rows -->
              <table class="table datatable">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Email</th>
                    <th scope="col">Broker</th>
                    <th scope="col">Account</th>
                    <th scope="col">Status</th>
                  </tr>
                </thead>
                <tbody>
                  @foreach($unverify_users as $key => $verify)
                  <tr>
                    <td> {{ ++$key }}</td>
                    <td>{{ $verify->user->name}}</td>
                    <td>{{ $verify->user->email}}</td>
                    <td>{{ $verify->broker->name}}</td>
                    <td>{{ $verify->user_account_id}}</td>
                    <td>
                      @if ($verify->approved == 1)
                      <a href="{{route('verify.user.booker.update',$verify->id)}}" class="btn btn-success">Approved</a>    
                      
                      @else
                          <a href="{{route('verify.user.booker.update',$verify->id)}}" class="btn btn-primary">Dis-Approved</a>
                      @endif
                    </td>
                  </tr>
                  @endforeach
                </tbody>
              </table>
              <!-- End Table with stripped rows -->

            </div>
          </div>

        </div>
      </div>
    </section>

  </main><!-- End #main -->

@endsection